Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.mvc.portlet
Class AbstractFlowHandler

    java.lang.Object
      org.springframework.webflow.mvc.portlet.AbstractFlowHandler

All Implemented Interfaces:
  FlowHandler

    public class AbstractFlowHandler

extends java.lang.Object
implements FlowHandler

Trivial flow handler base class that simply returns null for all operations. Subclasses should extend and override which operations they need.

Author:
  Keith Donald, Rossen Stoyanchev

Constructor Summary
`AbstractFlowHandler()`

Method Summary
`MutableAttributeMap` | `createExecutionInputMap(javax.portlet.RenderRequest request)` Creates the flow execution input map to pass to a new instance of the flow being started in a render request.
`MutableAttributeMap` | `createResourceExecutionInputMap(javax.portlet.ResourceRequest request)` Creates the flow execution input map to pass to a new instance of the flow being started in a resource request.
`java.lang.String` | `getFlowId()` Returns the id of the flow handled by this handler.
`java.lang.String` | `handleException(FlowException e, javax.portlet.PortletRequest request, javax.portlet.RenderResponse response)`
`java.lang.String` | `handleException(FlowException e, javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` Handles a flow exception that was not handled by the Web Flow system in render request.
`boolean` | `handleExecutionOutcome(FlowExecutionOutcome outcome, javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)` Handles a specific flow execution outcome.
`java.lang.String` | `handleResourceException(FlowException e, javax.portlet.ResourceRequest request, javax.portlet.ResourceResponse response)` Handles a flow exception that was not handled by the Web Flow system in a resource request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFlowHandler

    public AbstractFlowHandler()

Method Detail

### getFlowId

    public java.lang.String getFlowId()

  Description copied from interface: `FlowHandler`
  Returns the id of the flow handled by this handler. Used by a Controller to load the flow definition.

  Specified by:
    `getFlowId` in interface `FlowHandler`
  Returns:
    the flow id

### createExecutionInputMap

    public MutableAttributeMap createExecutionInputMap(javax.portlet.RenderRequest request)

  Description copied from interface: `FlowHandler`
  Creates the flow execution input map to pass to a new instance of the flow being started in a render request. Used by a Controller to launch the flow execution with the correct input.

  Specified by:
    `createExecutionInputMap` in interface `FlowHandler`
  Parameters:
    `request` - the current request
  Returns:
    the input map

### createResourceExecutionInputMap

    public MutableAttributeMap createResourceExecutionInputMap(javax.portlet.ResourceRequest request)

  Description copied from interface: `FlowHandler`
  Creates the flow execution input map to pass to a new instance of the flow being started in a resource request. Used by a Controller to launch the flow execution with the correct input.

  Specified by:
    `createResourceExecutionInputMap` in interface `FlowHandler`
  Parameters:
    `request` - the current request
  Returns:
    the input map

### handleExecutionOutcome

    public boolean handleExecutionOutcome(FlowExecutionOutcome outcome,
                                          javax.portlet.ActionRequest request,
                                          javax.portlet.ActionResponse response)

  Description copied from interface: `FlowHandler`
  Handles a specific flow execution outcome. Used to change portlet modes after the flow ends.

  Specified by:
    `handleExecutionOutcome` in interface `FlowHandler`
  Parameters:
    `outcome` - the outcome that was reached
    `request` - the current action request
    `response` - the current action response
  Returns:
    whether this outcome was handled, or whether the caller should handle it

### handleException

    public java.lang.String handleException(FlowException e,
                                            javax.portlet.PortletRequest request,
                                            javax.portlet.RenderResponse response)

### handleException

    public java.lang.String handleException(FlowException e,
                                            javax.portlet.RenderRequest request,
                                            javax.portlet.RenderResponse response)

  Description copied from interface: `FlowHandler`
  Handles a flow exception that was not handled by the Web Flow system in render request. Used by a Controller to handle a specific type of exception dealing with this flow in a custom manner.

  Specified by:
    `handleException` in interface `FlowHandler`
  Parameters:
    `e` - the unhandled exception originating from Spring Web Flow. May be thrown by the flow execution itself or the flow executor system if no execution could be restored.
    `request` - the current request
    `response` - the current response
  Returns:
    the name of a specific error view to render, or `null` if the exception should be handled by the caller

### handleResourceException

    public java.lang.String handleResourceException(FlowException e,
                                                    javax.portlet.ResourceRequest request,
                                                    javax.portlet.ResourceResponse response)

  Description copied from interface: `FlowHandler`
  Handles a flow exception that was not handled by the Web Flow system in a resource request. Used by a Controller to handle a specific type of exception dealing with this flow in a custom manner.

  Specified by:
    `handleResourceException` in interface `FlowHandler`
  Parameters:
    `e` - the unhandled exception originating from Spring Web Flow. May be thrown by the flow execution itself or the flow executor system if no execution could be restored.
    `request` - the current request
    `response` - the current response
  Returns:
    the name of a specific error view to render, or `null` if the exception should be handled by the caller

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD